# Contributing to Voron2.4_My_Build_Log

Thanks for your interest in contributing to Voron2.4_My_Build_Log!

The following is a set of guidelines for contributing to Voron2.4_My_Build_Log, hosted by the [GadgetAngel](https://github.com/GadgetAngel) on GitHub. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a Pull Request.

#### Table Of Contents

[Code of Conduct](./code-of-conduct.md)

[I don't want to read this whole thing, I just have a question!!!](#i-dont-want-to-read-this-whole-thing-i-just-have-a-question)

[How Can I Contribute?](#how-can-i-contribute)
  * [Reporting Bugs](#reporting-bugs)
  * [Suggesting Features or Changes](#suggesting-features-or-changes)
  * [Pull Requests](#pull-requests)

## Code of Conduct

This project and everyone participating in it is governed by the [GadgetAngel of Conduct](./code-of-conduct.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [GadgetAngel](mailto:joannmanges@gmail.com).

## I don't want to read this whole thing I just have a question!!!

> **Note:** Please don't file an issue to ask a question. You'll get faster results by using the resources below.

Bigtreetech has a Facebook groups where there is a knowledgeable user community can provide helpful advice if you have questions.

* [Bigtreetech Octopus on Facebook](https://www.facebook.com/groups/531985571570025/)


## How Can I Contribute?

### Reporting Bugs

This section guides you through submitting a Bug Report for Voron2.4_My_Build_Log. Following these guidelines helps maintainers and the community understand your report, reproduce the behavior, and find related reports.

When you are creating a Bug Report, please [include as many details as possible](#how-do-i-submit-a-good-bug-report). Fill out [the required template](./ISSUE_TEMPLATE/bug_report.md), the information it asks for helps us resolve issues faster.

> **Note:** Regressions can happen. If you find a **Closed** issue that seems like your issue, go ahead and open a new issue and include a link to the original issue in the body of your new one. All you need to create a link is the issue number, preceded by #. For example, #8888.

#### How Do I Submit A (Good) Bug Report?

Bugs are tracked as [GitHub issues](https://guides.github.com/features/issues/). Use the New Issue button to create an issue and provide the following information by filling in [the template](./ISSUE_TEMPLATE/bug_report.md).

Explain the problem and include additional details to help maintainers reproduce the problem:

* **Use a clear and descriptive title** for the issue to identify the problem.
* **Describe the error in the manual** in as many details as possible.
* **Include screenshots, links to videos, etc.** which clearly demonstrate the problem.

### Suggesting Features or Changes

This section guides you through submitting a suggestion for Voron2.4_My_Build_Log, including completely new features. Following these guidelines helps maintainers and the community understand your suggestion and find related suggestions.

When you are creating an enhancement suggestion, please [include as many details as possible](#how-do-i-submit-a-good-feature-request). Fill in [the template](./ISSUE_TEMPLATE/feature_request.md).

#### How Do I Submit A (Good) Feature Request?

Feature Requests are tracked as [GitHub issues](https://guides.github.com/features/issues/). Please follow these guidelines in your request:

* **Use a clear and descriptive title** for the issue to identify the suggestion.
* **Include screenshots and links to videos** which demonstrate the feature or point out the part of the "Color PIN Diagram" to which the request is related.
* **Explain why this feature would be useful** to most readers.

### Pull Requests

Pull Requests should always be targeted to working branches (e.g., `master`). If this is your first Pull Request, please read GitHub's [Pull Request](https://help.github.com/articles/creating-a-pull-request/) documentation.

* Fill in [the required template](./pull_request_template.md).
* Don't include issue numbers in the PR title.
* Include pictures, diagrams, and links to videos in your Pull Request to demonstrate your changes, if needed.
